Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Forms

Build and publish forms, and read what comes in.

List forms

GET/forms
Scope forms:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/forms" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a form

POST/forms
Scope forms:manageWrites data

Request body

FieldType
namerequiredstring
descriptionstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/forms" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…","description":"…"}'

Get a form

GET/forms/{id}
Scope forms:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/forms/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a form

PATCH/forms/{id}
Scope forms:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/forms/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a form

DELETE/forms/{id}
Scope forms:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/forms/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Publish a form

POST/forms/{id}/publish
Scope forms:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/forms/{id}/publish" \  -H "Authorization: Bearer $KLERC_TOKEN"

Unpublish a form

POST/forms/{id}/unpublish
Scope forms:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/forms/{id}/unpublish" \  -H "Authorization: Bearer $KLERC_TOKEN"

List a form's submissions

GET/forms/{id}/submissions
Scope forms:viewRead-only

Path parameters

NameType
idrequiredstring

Query parameters

NameType
limitnumber
cursorstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/forms/{id}/submissions?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"